> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete an access profile (soft delete). Cascades to its scope bindings and
 backing entitlement; outstanding grants end with the entitlement.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/xaa/access_profiles/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/access_profiles/{id}:
    delete:
      tags:
        - Cross-App Access
      summary: Delete
      description: >-
        Delete an access profile (soft delete). Cascades to its scope bindings
        and
         backing entitlement; outstanding grants end with the entitlement.
      operationId: c1.api.cross_app_access.v1.XAAAccessProfileService.Delete
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application that owns the resource server.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Unique identifier for the access profile.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileServiceDeleteResponse
          description: XAAAccessProfileServiceDeleteResponse confirms deletion.
      x-codeSamples:
        - lang: go
          label: Delete
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.XAAAccessProfile.Delete(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileServiceDeleteRequest{\n        AppID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.XAAAccessProfileServiceDeleteResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.cross_app_access.v1.XAAAccessProfileServiceDeleteRequestInput:
      description: >-
        XAAAccessProfileServiceDeleteRequest deletes an access profile (soft
        delete).
      title: Xaa Access Profile Service Delete Request
      type: object
      x-speakeasy-name-override: XAAAccessProfileServiceDeleteRequest
    c1.api.cross_app_access.v1.XAAAccessProfileServiceDeleteResponse:
      description: XAAAccessProfileServiceDeleteResponse confirms deletion.
      title: Xaa Access Profile Service Delete Response
      type: object
      x-speakeasy-name-override: XAAAccessProfileServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````